
Redmine - Defect #19059

Wrong number of issues for a version in the roadmap

2015-02-08 17:44 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.1

Description

Using a version for an open project that contains also archived subprojects cause problems with the shown number of issues for that

version.

Issues from archived subprojects are also counted in the roadmap version but this is very confusing because they are not listed. The

roadmap should only count issues from open projects.

 

Related issues:

Related to Redmine - Defect #19187: Roadmap links in subproject Closed

Is duplicate of Redmine - Patch #27676: Information leak on roadmap and versi... Closed

History

#1 - 2015-02-08 17:56 - Filou Centrinov

- Description updated

#2 - 2015-03-16 21:39 - Sebastian Paluch

This is not the only case when you can see mismatch.

The number shown will not match listed issues also when subprojects are open and using different trackers. In such case, available trackers for select

in sidebar comes from the project only, not subprojects. When subproject is using a tracker that the projects is not using, it will not be listed in sidebar,

so can't be selected and you will see less issues on the list then indicated by counters.

#3 - 2015-03-25 17:08 - Toshi MARUYAMA

- Related to Defect #19187: Roadmap links in subproject  added

#4 - 2015-09-30 12:56 - Shai Gilboa

Hi,

We also have the same issue with wrong numbers in roadmap counters, using 2.6.1.

Was this ever fixed in newer Redmine versions?

Thanks

#5 - 2017-02-22 17:04 - Kevin Palm

+1

#6 - 2017-12-01 14:43 - Marius BĂLTEANU

This issue was fixed by r17051.

I don't think that a test is required also for this scenario, it is covered by the test from #19187 and I propose to close this ticket with resolution

"Duplicate".

#7 - 2018-04-01 19:58 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by r17051.
https://www.redmine.org/projects/redmine/repository/svn/revisions/17051
https://www.redmine.org/issues/19187
https://www.redmine.org/projects/redmine/repository/svn/revisions/17051


#8 - 2018-04-02 00:22 - Go MAEDA

- Is duplicate of Patch #27676: Information leak on roadmap and versions view added

Files

roadmap_invisible_issues.png 26.2 KB 2015-02-08 Filou Centrinov

Powered by TCPDF (www.tcpdf.org)

2025-05-09 2/2

http://www.tcpdf.org

